Loading...
Searching...
No Matches
Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

a Query implementing ==: arguments must match a particular value (within an optional tolerance) More...

`#include <EqualityQuery.h>`

Inheritance diagram for Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >:

## Public Member Functions

| EqualityQuery ()
| EqualityQuery (MatchFuncArgType v)
| constructs with our target value
| EqualityQuery (MatchFuncArgType v, MatchFuncArgType t)
| constructs with our target value and a tolerance
void | setVal (MatchFuncArgType what)
| sets our target value
const MatchFuncArgType | getVal () const
| returns our target value
void | setTol (MatchFuncArgType what)
| sets our tolerance
const MatchFuncArgType | getTol () const
| returns out tolerance
bool | Match (const DataFuncArgType what) const override
Query< MatchFuncArgType, DataFuncArgType, needsConversion > * | copy () const override
| returns a copy of this Query
std::string | getFullDescription () const override
| returns a fuller text description
Public Member Functions inherited from Queries::Query< MatchFuncArgType, MatchFuncArgType, false >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated
bool | getNegation () const
| returns whether or not we are negated
void | setDescription (const std::string &descr)
| sets our text description
const std::string & | getDescription () const
| returns our text description
void | setTypeLabel (const std::string &typ)
| sets our type label
const std::string & | getTypeLabel () const
| returns our text label.
void | setMatchFunc (std::function< bool(MatchFuncArgType)> what)
| sets our match function
std::function< bool(MatchFuncArgType)> | getMatchFunc () const
| returns our match function:
void | setDataFunc (std::function< MatchFuncArgType(MatchFuncArgType)> what)
| sets our data function
std::function< MatchFuncArgType(MatchFuncArgType)> | getDataFunc () const
| returns our data function:
void | addChild (CHILD_TYPE child)
| adds a child to our list of children
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector
virtual bool | Match (const MatchFuncArgType arg) const
| returns whether or not we match the argument

## Additional Inherited Members

Public Types inherited from Queries::Query< MatchFuncArgType, MatchFuncArgType, false >
using | CHILD_TYPE
using | CHILD_VECT
using | CHILD_VECT_I
using | CHILD_VECT_CI
using | MATCH_FUNC_ARG_TYPE
using | DATA_FUNC_ARG_TYPE
Public Attributes inherited from Queries::Query< MatchFuncArgType, MatchFuncArgType, false >
std::function< MatchFuncArgType(MatchFuncArgType)> | d_dataFunc
std::function< MatchFuncArgType(MatchFuncArgType)> | d_dataFuncSameType
Protected Member Functions inherited from Queries::Query< MatchFuncArgType, MatchFuncArgType, false >
MatchFuncArgType | TypeConvert (MatchFuncArgType what, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what`
Protected Attributes inherited from Queries::Query< MatchFuncArgType, MatchFuncArgType, false >
MatchFuncArgType | d_val
MatchFuncArgType | d_tol
std::string | d_description
std::string | d_queryType
CHILD_VECT | d_children
bool | df_negate
std::function< bool(MatchFuncArgType)> | d_matchFunc
union { |
std::function< MatchFuncArgType(DataFuncArgType)> d_dataFunc |
std::function< MatchFuncArgType(MatchFuncArgType)> d_dataFuncSameType |
}; |

## Detailed Description

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>
class Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >

a Query implementing ==: arguments must match a particular value (within an optional tolerance)

Definition at line 23 of file EqualityQuery.h.

## Constructor & Destructor Documentation

## EqualityQuery() [1/3]

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::EqualityQuery | ( |  | ) |

inline

Definition at line 26 of file EqualityQuery.h.

## EqualityQuery() [2/3]

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::EqualityQuery | ( | MatchFuncArgType | v | ) |

inline explicit

constructs with our target value

Definition at line 29 of file EqualityQuery.h.

## EqualityQuery() [3/3]

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::EqualityQuery | ( | MatchFuncArgType | v,
|  | MatchFuncArgType | t )

inline

constructs with our target value and a tolerance

Definition at line 35 of file EqualityQuery.h.

## Member Function Documentation

## copy()

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Query< MatchFuncArgType, DataFuncArgType, needsConversion > * Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy | ( |  | ) | const

inline override virtual

returns a copy of this Query

Notes:

- the caller is responsible for deleteing the result

Reimplemented from Queries::Query< MatchFuncArgType, MatchFuncArgType, false >.

Reimplemented in Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::GreaterEqualQuery< double, const ROMol &, true >, Queries::GreaterEqualQuery< int, Atom const *, true >, Queries::GreaterEqualQuery< int, Bond const *, true >, Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::GreaterQuery< double, const ROMol &, true >, Queries::GreaterQuery< int, Atom const *, true >, Queries::GreaterQuery< int, Bond const *, true >, Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::LessEqualQuery< double, const ROMol &, true >, Queries::LessEqualQuery< int, Atom const *, true >, Queries::LessEqualQuery< int, Bond const *, true >, Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::LessQuery< double, const ROMol &, true >, Queries::LessQuery< int, Atom const *, true >, Queries::LessQuery< int, Bond const *, true >, RDKit::HasPropQuery< TargetPtr >, RDKit::HasPropWithValueQuery< TargetPtr, T >, RDKit::HasPropWithValueQuery< TargetPtr, ExplicitBitVect >, and RDKit::HasPropWithValueQuery< TargetPtr, std::string >.

Definition at line 61 of file EqualityQuery.h.

## getFullDescription()

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

std::string Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription | ( |  | ) | const

inline override virtual

returns a fuller text description

Reimplemented from Queries::Query< MatchFuncArgType, MatchFuncArgType, false >.

Reimplemented in Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::GreaterEqualQuery< double, const ROMol &, true >, Queries::GreaterEqualQuery< int, Atom const *, true >, Queries::GreaterEqualQuery< int, Bond const *, true >, Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::GreaterQuery< double, const ROMol &, true >, Queries::GreaterQuery< int, Atom const *, true >, Queries::GreaterQuery< int, Bond const *, true >, Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::LessEqualQuery< double, const ROMol &, true >, Queries::LessEqualQuery< int, Atom const *, true >, Queries::LessEqualQuery< int, Bond const *, true >, Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::LessQuery< double, const ROMol &, true >, Queries::LessQuery< int, Atom const *, true >, and Queries::LessQuery< int, Bond const *, true >.

Definition at line 74 of file EqualityQuery.h.

## getTol()

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

const MatchFuncArgType Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getTol | ( |  | ) | const

inline

returns out tolerance

Definition at line 49 of file EqualityQuery.h.

## getVal()

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

const MatchFuncArgType Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getVal | ( |  | ) | const

inline

returns our target value

Definition at line 44 of file EqualityQuery.h.

## Match()

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

bool Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match | ( | const DataFuncArgType | what | ) | const

inline override

Reimplemented in RDKit::HasPropQuery< TargetPtr >, RDKit::HasPropWithValueQuery< TargetPtr, T >, RDKit::HasPropWithValueQuery< TargetPtr, ExplicitBitVect >, and RDKit::HasPropWithValueQuery< TargetPtr, std::string >.

Definition at line 51 of file EqualityQuery.h.

## setTol()

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol | ( | MatchFuncArgType | what | ) |

inline

sets our tolerance

Definition at line 47 of file EqualityQuery.h.

Referenced by Queries::EqualityQuery< double, const ROMol &, true >::copy(), Queries::GreaterEqualQuery< double, const ROMol &, true >::copy(), Queries::GreaterQuery< double, const ROMol &, true >::copy(), Queries::LessEqualQuery< double, const ROMol &, true >::copy(), Queries::LessQuery< double, const ROMol &, true >::copy(), and RDKit::AtomRingQuery::copy().

## setVal()

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setVal | ( | MatchFuncArgType | what | ) |

inline

sets our target value

Definition at line 42 of file EqualityQuery.h.

Referenced by Queries::EqualityQuery< double, const ROMol &, true >::copy(), Queries::GreaterEqualQuery< double, const ROMol &, true >::copy(), Queries::GreaterQuery< double, const ROMol &, true >::copy(), Queries::LessEqualQuery< double, const ROMol &, true >::copy(), and Queries::LessQuery< double, const ROMol &, true >::copy().

The documentation for this class was generated from the following file:

- EqualityQuery.h